# $Revision: 1.9 $, $Date: 2002/12/09 12:28:58 $
# don't use macros.perl here, it generates only unnecessary dependencies
Summary:	HTML to PostScript converter
Summary(pl):	Konwerter HTML do PostScriptu
Name:		html2ps
Version:	1.0b3
Release:	4
License:	GPL
Group:		Applications/Graphics
Source0:	http://www.tdb.uu.se/~jan/%{name}-%{version}.tar.gz
Patch0:		%{name}-conf.patch
Patch1:		%{name}-perl_path.patch
Patch2:		%{name}-open.patch
URL:		http://www.tdb.uu.se/~jan/html2ps.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xbindir	/usr/X11R6/bin

%description
The Perl script html2ps converts HTML to PostScript. It would have
more capabilities if you have some of these packages installed:
ImageMagick, netpbm-progs, libjpeg-progs, perl-libwww, ghostscript,
tetex, tetex-dvips - see documentation for details.

html2ps can be used as ImageMagick delegate to convert from HTML.

%description -l pl
html2ps jest skryptem w Perlu konwertujcym HTML do PostScriptu.
Skrypt ma wiksze moliwoci, jeeli s zainstalowane pakiety:
ImageMagick, netpbm-rpgs, libjpeg-progs, perl-libwww, ghostscript,
tetex, tetex-dvips - szczegy w dokumentacji.

html2ps moe by uywany przez ImageMagick do konwersji z HTML.

%package -n xhtml2ps
Summary:	GUI frontend for html2ps, a HTML-to-PostScript converter
Summary(pl):	Interfejs graficzny do html2ps - konwertera HTML do PostScriptu
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}
Requires:	tk

%description -n xhtml2ps
xhtml2ps is freely-available GUI frontend for html2ps, a
HTML-to-PostScript converter.

%description -n xhtml2ps -l pl
xhtml2ps jest darmow nakadk z interfejsem graficznym do html2ps -
konwertera z HTML do PostScriptu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_xbindir},%{_sysconfdir},%{_mandir}/man{1,5}}

sed \
	-e "s!@CONFDIR@!%{_sysconfdir}!" \
	-e "s!@DOCDIR@!%{_docdir}/%{name}-%{version}!" \
	html2ps > $RPM_BUILD_ROOT%{_bindir}/html2ps

sed \
	-e "s!@CONFDIR@!%{_sysconfdir}!" \
	html2ps.1 > $RPM_BUILD_ROOT%{_mandir}/man1/html2ps.1

install html2psrc.5 $RPM_BUILD_ROOT%{_mandir}/man5
install html2psrc $RPM_BUILD_ROOT%{_sysconfdir}
install contrib/xhtml2ps/xhtml2ps $RPM_BUILD_ROOT%{_xbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README html2ps.html sample
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not size md5 mtime) %{_sysconfdir}/*
%{_mandir}/man[15]/*

%files -n xhtml2ps
%defattr(644,root,root,755)
%doc contrib/xhtml2ps/README
%attr(755,root,root) %{_xbindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: html2ps.spec,v $
Revision 1.9  2002/12/09 12:28:58  qboosh
- added open patch - security fix from SuSE (arbitrary perl code execution)
- release 4, STBR to updates/security

Revision 1.8  2002/11/27 21:10:38  juandon
- new %%doc

Revision 1.7  2002/04/25 16:34:25  arturs
fixed a small typo

Revision 1.6  2002/03/11 09:32:40  qboosh
- release 3: don't use macros.perl here, it generates _only unnecessary_ dependencies

Revision 1.5  2002/02/25 04:41:27  kloczek
- release 2,
- added perl_path patch and added %include /usr/lib/rpm/macros.perl (now
  html2ps have autogenerated perl modules dependences),
- added BuildRequires rules.

Revision 1.4  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/03/20 20:00:58  kloczek
- removed empty %build and few cosmetics.

Revision 1.1  2001/03/20 01:00:21  qboosh
- from scratch, added some autoconfiguration
NOTE: don't use find-perl-requires here - it can generate some
not-really-necessary dependencies
